netatalk: cmd_dbd.h File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
cmd_dbd.h File Reference
`#include <limits.h>`
`#include <signal.h>`
`#include <atalk/netatalk_conf.h>`

Go to the source code of this file.

## Macros
#define | DBD_FLAGS_SCAN (1 << 0)
#define | DBD_FLAGS_FORCE (1 << 1)
#define | DBD_FLAGS_STATS (1 << 2)
#define | DBD_FLAGS_V2TOEA (1 << 3)
#define | DBD_FLAGS_VERBOSE (1 << 4)
#define | DBD_FLAGS_STRIP_AD (1 << 5)
#define | ADv2_DIRNAME ".AppleDouble"
#define | DIR_DOT_OR_DOTDOT(a)

## Typedefs
typedef unsigned int | dbd_flags_t

## Enumerations
enum | logtype { LOGSTD , LOGDEBUG }

## Functions
void | dbd_log (enum logtype lt, const char *fmt,...)
int | cmd_dbd_scanvol (struct vol *vol, dbd_flags_t flags)

## Variables
volatile sig_atomic_t | alarmed

## Macro Definition Documentation

## ◆ ADv2_DIRNAME

#define ADv2_DIRNAME ".AppleDouble"

## ◆ DBD_FLAGS_FORCE

#define DBD_FLAGS_FORCE (1 << 1)

## ◆ DBD_FLAGS_SCAN

#define DBD_FLAGS_SCAN (1 << 0)

## ◆ DBD_FLAGS_STATS

#define DBD_FLAGS_STATS (1 << 2)

## ◆ DBD_FLAGS_STRIP_AD

#define DBD_FLAGS_STRIP_AD (1 << 5)

Invalidate AppleDouble CNID hints

## ◆ DBD_FLAGS_V2TOEA

#define DBD_FLAGS_V2TOEA (1 << 3)

Convert adouble:v2 to adouble:ea

## ◆ DBD_FLAGS_VERBOSE

#define DBD_FLAGS_VERBOSE (1 << 4)

## ◆ DIR_DOT_OR_DOTDOT

#define DIR_DOT_OR_DOTDOT | ( |  | a | ) |

Value:
((strcmp(a, ".") == 0) || (strcmp(a, "..") == 0))

## Typedef Documentation

## ◆ dbd_flags_t

typedef unsigned int dbd_flags_t

## Enumeration Type Documentation

## ◆ logtype

enum logtype

Enumerator
LOGSTD |
LOGDEBUG |

## Function Documentation

## ◆ cmd_dbd_scanvol()

int cmd_dbd_scanvol | ( | struct vol * | vol_in,
|  | dbd_flags_t | flags )

Main func called from cmd_dbd.c

## ◆ dbd_log()

void dbd_log | ( | enum logtype | lt,
|  | const char * | fmt,
|  |  | ... )

## Variable Documentation

## ◆ alarmed

volatile sig_atomic_t alarmed
| extern

flags for signals